Subject: bug#28817: incorrect NEWS entry about vc-state faces

From: [email-masked] (Charles A. Roelli)
Date: Mon, 16 Oct 2017 16:34:17 +0200

> Date: Fri, 13 Oct 2017 21:41:55 +0300
> From: Eli Zaretskii <[email-masked]>
> CC: [email-masked]
> Reply-to: Eli Zaretskii <[email-masked]>
> 
> > Date: Fri, 13 Oct 2017 20:28:44 +0200
> > From: [email-masked] (Charles A. Roelli)
> > 
> > * | | | | | | | | | | | | | | | | | 65fa442..: Lars Ingebrigtsen 2016-03-01 Add a NEWS entry for the colorful VC indicator
> >   commit 65fa442f2bae42d3f9b06264ca432073ee3197c3
> >   Author: Lars Ingebrigtsen <[email-masked]>
> >   Date:   Tue Mar 1 14:31:35 2016 +1100
> > 
> >   Add a NEWS entry for the colorful VC indicator
> > 
> > * | | | | | | | | | | | | | | | | | 2621c29..: Lars Ingebrigtsen 2016-03-01 Use colors in the VC mode lines
> >   commit 2621c293d82c15c00d9e73a8db75d70da7d0a23b
> >   Author: Lars Ingebrigtsen <[email-masked]>
> >   Date:   Tue Mar 1 14:25:27 2016 +1100
> > 
> >   Use colors in the VC mode lines
> > 
> >   * lisp/vc/vc-hooks.el: Make the mode line faces default to
> >   using colors to more clearly tell the user what the status is.
> > 
> > The NEWS entry commit seems to have made it to Emacs 26, but the mode
> > line faces are still the same as in Emacs 25.  Looks like commit
> > 2621c29 got lost somehow.
> 
> Some merge snafu, I suppose: this was merged from the emacs-25 branch.

I'm not sure I understand: the commit was made in the master branch.
See:

https://lists.gnu.org/archive/html/emacs-diffs/2016-02/msg00709.html

Ah, I think I understand now.  Commit 2621c29 was reverted later:

* | | | | | | | | | | | | | | | | | 7882dc6..: John Wiegley 2016-03-06 Revert "Use colors in the VC mode lines"
  commit 7882dc625e1ec562fcd0e1b743ef11b160cae18e
  Author: John Wiegley <[email-masked]>
  Date:   Sun Mar 6 12:51:44 2016 -0800

  Revert "Use colors in the VC mode lines"

  This reverts commit 2621c293d82c15c00d9e73a8db75d70da7d0a23b.

and I can't find a revert for commit 65fa442 (the NEWS entry).